dbh_close(3)

-

NAME
dbh_close, dbh_destroy - close or remove an open DBHashTable

SYNOPSIS
#include <dbh.h>

int dbh_close (DBHashTable *dbh);
int dbh_destroy (DBHashTable *dbh);

DESCRIPTION
dbh_close will close the DBHashTable file (thus flushing io buffer).

dbh_destroy will close an open DBHashTable and erase the file from disk. Convenience function that does a close and rm.

RETURN VALUE
0 if error, 1 otherwise.

SEE ALSO
dbh (0), dbh_create (3), dbh_open (3), dbh_open_ro (3)

Author
Edscott Wilson Garcia <edscott@xfce.org>